"use strict";

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Link = function Link(props) {
  var contentState = props.contentState,
      entityKey = props.entityKey;

  var _contentState$getEnti = contentState.getEntity(entityKey).getData(),
      url = _contentState$getEnti.url;

  return _react.default.createElement("a", {
    href: url,
    className: "editor-link",
    title: url
  }, props.children);
};

Link.propTypes = {
  entityKey: _propTypes.default.string,
  contentState: _propTypes.default.object,
  children: _propTypes.default.node
};
module.exports = Link;
//# sourceMappingURL=Link.js.map